# Interface IClasspathContainerPageExtension2

public interface IClasspathContainerPageExtension2
Classpath container pages that implement `IClasspathContainerPage` can optionally implement `IClasspathContainerPageExtension2` to return more than one element when creating new containers. If implemented, the method `getNewContainers()` is used instead of the method `IClasspathContainerPage.getSelection()` to get the newly selected containers. `IClasspathContainerPage.getSelection()` is still used for edited elements.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`IClasspathEntry[]`
`getNewContainers()`
Method `getNewContainers()` is called instead of `IClasspathContainerPage.getSelection()` to get the newly added containers.

## Method Details

### getNewContainers

IClasspathEntry[] getNewContainers()
Method `getNewContainers()` is called instead of `IClasspathContainerPage.getSelection()` to get the newly added containers. `IClasspathContainerPage.getSelection()` is still used to get the edited elements.

Returns:
  the classpath entries created on the page. All returned entries must be on kind `IClasspathEntry.CPE_CONTAINER`